## libaccounts-glib 1.26

=== meson_options.txt ===
option('py-overrides-dir', type : 'string', value : '', description: 'Path to pygobject overrides directory')

## libaccounts-glib 1.1+bzr159-0precise1

=== debian/changelog ===
libaccounts-glib (1.1+bzr159-0precise1) precise; urgency=low

  * New snapshot from tag 1.1+bzr159
  * debian/libaccounts-glib-dev.install
    - include vapi

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 17 Jul 2012 11:00:18 -0400

libaccounts-glib (1.1+bzr158-0precise1) precise; urgency=low

  * New snapshot from tag 1.1+bzr158

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 11 Jul 2012 10:31:05 -0400

libaccounts-glib (1.1+bzr155-0precise2) precise; urgency=low

  * no change rebuild

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Jun 2012 16:48:12 -0400

libaccounts-glib (1.1+bzr155-0precise1) precise; urgency=low

  * New snapshot from tag 1.1+bzr155
  * debian/libaccounts-glib0.symbols
    - updated

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 14 Jun 2012 15:05:58 -0400

libaccounts-glib (1.1+bzr153-0precise1) precise; urgency=low

  * New snapshot bzr153

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 11 Jun 2012 11:39:36 -0400

libaccounts-glib (1.0+bzr150-0precise2) precise; urgency=low

  * debian/control, debian/rules
    - added -dbg package

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 26 Mar 2012 15:32:13 -0400

libaccounts-glib (1.0+bzr150-0precise1) precise; urgency=low

  * New snapshot bzr150
  * debian/libaccounts-glib0.symbols
    - refreshed

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 16 Mar 2012 15:15:34 -0400

libaccounts-glib (1.0+bzr144-0precise1) precise; urgency=low

  * New snapshot from tag 1.0-bzr144
  * debian/rules
    - enable-gtk-doc build
  * debian/control, debian/libaccounts-glib-doc.install
    - create new -doc package

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 03 Feb 2012 16:27:37 -0500

libaccounts-glib (1.0+bzr143-0precise2) precise; urgency=low

  * libaccounts-glib.pc.in
    - added gio-unix-2.0 to the pkgconfig Requires

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 31 Jan 2012 17:04:02 -0500

libaccounts-glib (1.0+bzr143-0precise1) precise; urgency=low

  * New snapshot from tag 1.0-bzr143

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 31 Jan 2012 16:31:10 -0500

libaccounts-glib (1.0-0precise2) precise; urgency=low

  * debian/libaccounts-glib0.symbols
    - added symbols file
  * debian/rules
    - build with -Wno-error=deprecated-declarations for now, the deprecations 
      are new with glib 2.31 and we still want to be able to build with 2.30
  * debian/patches/no_deprecated_gvalue_api.patch
    - dropped the patch so we can build on oneiric as well

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 08 Dec 2011 09:21:09 -0500

libaccounts-glib (1.0-0precise1) precise; urgency=low

  * Initial package 

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 07 Dec 2011 09:56:02 -0500

=== debian/control ===
Source: libaccounts-glib
Priority: optional
Maintainer: Ken VanDine <ken.vandine@canonical.com>
Build-Depends: debhelper (>= 8.0.0), 
               autotools-dev,
               libglib2.0-dev (>= 2.26),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libtool,
               intltool,
               gobject-introspection,
               libgirepository1.0-dev,
               gir1.2-glib-2.0,
               libxml2-dev,
               libsqlite3-dev (>= 3.7.0),
               dh-autoreconf,
               gtk-doc-tools,
               python (>= 2.6.5),
               python-gi-dev,
               check
Standards-Version: 3.9.3
Section: libs
Homepage: https://launchpad.net/opensesame-libaccounts-glib

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: library for single signon - development files
 .
 This package contains files that are needed to build applications.

Package: libaccounts-glib0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for single signon
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-accounts-1.0
Section: libs
Architecture: any
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${misc:Depends},
         ${gir:Depends}
Description: typelib file for libaccounts-glib0
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for single signon - documentation
 .
 This package contains the documentation.

Package: libaccounts-glib0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${misc:Depends}
Description: library for single signon - Debug symbols
 .
 This package provides the debugging symbols for the libaccounts-glib
 library.

Package: libaccounts-glib-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for single signon - tools
 .
 This package provides the tools useful for the libaccounts-glib
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Workaround for deprecations in glib 2.31, we need to ignore 
# these as long as we want to build on oneiric too
CFLAGS += -Wno-error=deprecated-declarations

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

# Uses D-Bus. Disable by default.
override_dh_auto_test:

override_dh_install:
	rm debian/tmp/usr/lib/*.la
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyc
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyo
	dh_install --list-missing
	dh_python2 -pgir1.2-accounts-1.0

override_dh_strip:
	dh_strip --dbg-package=libaccounts-glib0-dbg

%:
	dh $@ --with autoreconf,python2

## libaccounts-glib 1.3

=== debian/changelog ===
libaccounts-glib (1.3-0ubuntu2) quantal; urgency=low

  * debian/patches/py3.patch
    - support python3
  * debian/rules
    - install the GI override for both python2 and python3

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Aug 2012 13:23:05 -0400

libaccounts-glib (1.3-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fixed a bug which could cause the same signal to be emitted 
      multiple times (LP: #1029378)
    - Fixed an incorrect assumption in the AgAuthData unit test
  * debian/patches/link_rt.patch
    - fixed linker failing in tests

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 17 Aug 2012 16:43:37 -0400

libaccounts-glib (1.2-0ubuntu2) quantal; urgency=low

  * debian/rules
    - use dh_python3
    - run tests
  * debian/control
    - use debhelper 9
    - build depend on dbus-test-runner

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 17:24:33 -0400

libaccounts-glib (1.2-0ubuntu1) quantal; urgency=low

  * New package 

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 11:13:34 -0400

=== debian/control ===
Source: libaccounts-glib
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), 
               autotools-dev,
               libglib2.0-dev (>= 2.26),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libtool,
               intltool,
               gobject-introspection,
               libgirepository1.0-dev,
               libxml2-dev,
               libsqlite3-dev (>= 3.7.0),
               dh-autoreconf,
               gtk-doc-tools,
               python (>= 2.6.5),
               python3,
               python3-gi,
               python-gi-dev,
               check,
               dbus-test-runner
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/accounts-sso/

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-accounts-1.0,
         libglib2.0-dev,
         libdbus-glib-1-dev,
         libsqlite3-dev,
         libxml2-dev
Description: library for single signon - development files
 .
 This package contains files that are needed to build applications.

Package: libaccounts-glib0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for single signon
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${misc:Depends},
         ${gir:Depends}
Description: typelib file for libaccounts-glib0
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for single signon - documentation
 .
 This package contains the documentation.

Package: libaccounts-glib-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for single signon - tools
 .
 This package provides the tools useful for the libaccounts-glib
 library.

## libaccounts-glib 1.7

=== debian/changelog ===
libaccounts-glib (1.7-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Link with rt only when necessary.
    - Remove AEGIS dead code.
    - Update VAPI file.
    - Allow creating AuthData for a global account.
  * -debian/patches/link_rt.patch: no longer needed
  * -debian/patches/py3.patch: fixed upstream
  * -debian/patches/python_super.patch: fixed upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 31 Jan 2013 12:50:19 -0500

libaccounts-glib (1.5-0ubuntu2) raring; urgency=low

  * debian/patches/python_super.patch
    - Python2 requires explict type to be passed to super, which python3 
      also allows.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 14 Jan 2013 12:11:30 -0500

libaccounts-glib (1.5-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Port to GDBus; drop the dependencies on libdbus and libdbus-glib.
    - Added support for the <template> element in .provider files. This
      allows one to specify default settings for the global account in the XML
      file.
    - Make some GObject properties readable.
    - New method: ag_account_store_async(), which uses GAsyncResult and
      allows for a GCancellable option.
    - Generate and install man pages from documentation for the ag-tool and
      ag-backup.  Add a --disable-man flag so that packagers can disable the
      generation if necessary.
    - Add GVariant-based APIs beside the GValue-based ones, which become
      deprecated.
    - Enhance Python overrides to provide a more Pythonic API.
    - Let provider XML files specify which plugin manages the provider's 
      accounts.
    - Include ag-auth-data.h in accounts-glib.h
    - Tests: fix provider test
  * debian/control
    - Dropped build depends for libdbus-1-dev and libdbus-glib-1-dev
  * debian/libaccounts-glib0.symbols
    - new symbols

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 09 Jan 2013 09:07:06 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,6 @@
 Build-Depends: debhelper (>= 9), 
                autotools-dev,
                libglib2.0-dev (>= 2.26),
-               libdbus-1-dev,
-               libdbus-glib-1-dev,
                libtool,
                intltool,
                gobject-introspection,
@@ -20,7 +18,7 @@
                python-gi-dev,
                check,
                dbus-test-runner
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://code.google.com/p/accounts-sso/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	# install the python3 gir override file as well
	PYTHON=python3 ./configure --prefix=/usr
	cd pygobject/ && DESTDIR=../debian/tmp make install && cd ..
	rm debian/tmp/usr/lib/*/*.la
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyc
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyo
	dh_install --list-missing
	dh_python2 -pgir1.2-accounts-1.0

%:
	dh $@ --with autoreconf,python2

=== debian/watch ===
version=3
http://code.google.com/p/accounts-sso/downloads/list .*/libaccounts-glib-([0-9.]+).tar.gz

## libaccounts-glib 1.14+13.10.20131016.2

=== debian/changelog ===
libaccounts-glib (1.14+13.10.20131016.2-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release (1.14)
    - Add ag_provider_get_single_account
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=202
    - Add coverage reporting using lcov
    - Tests: increase test coverage
    - Tests: increase tolerance on blocking time
  * New upstream release (1.13)
    - Allow disabling WAL journaling mode at configuration time; this is
      needed in order to support accessing the DB in read-only mode
      (LP: #1232097)
    - Tests: make test_signals_other_manager() more stable
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=200
  * debian/rules
    - removed quilt usage
  * debian/patches/0001-Tests-allow-some-time-for-D-Bus-signals-to-arrive.patch
    - removed, merged upstream

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 178

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 14:15:26 +0000

libaccounts-glib (1.12+13.10.20130918.1-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release
    - Allow opening the DB in read-only mode (LP: #1220552)
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=199
    - Application: do not require ".desktop" suffix
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=193
    - Account: emit "enabled" signal also on non-selected services
    - AgAccount: implement the GInitable interface
    - Tests: revert "don't run tests in parallel", disable gtkdoc tests
  * debian/rules
    - support patching with quilt
    - run tests verbosely
  * debian/patches/0001-Tests-allow-some-time-for-D-Bus-signals-to-arrive.patch
    - Bugfix patch, submitted upstream as issue #200:
      http://code.google.com/p/accounts-sso/issues/detail?id=200

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 175

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Sep 2013 18:08:22 +0000

libaccounts-glib (1.11daily13.06.05.2-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release
    - Fix compilation with GCC 4.8
    - Install tests
    - Add installcheck target for installed tests
    - Vala: rename .vapi and .deps files
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=176
    - AgService: load the XML file before returning tags
    - Removed deprecated g_type_init and bumped GObject dependency
    - Tests: don't fail on critical warnings
    - Tests: don't run tests in parallel

  [ Ken VanDine ]
  * Fixed cleanup for all arches .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 173

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Jun 2013 18:49:08 +0000

libaccounts-glib (1.8daily13.05.01.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Ken VanDine ]
  * Automatic snapshot from revision 169 (bootstrap)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 170 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 May 2013 07:55:51 +0000

libaccounts-glib (1.8-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Do never return a NULL AgAuthData pointer.
    - Account::enabled(): use NULL for global account
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=157

 -- Alberto Mardegan <alberto.mardegan@canonical.com>  Thu, 21 Feb 2013 18:14:39 +0200

=== debian/control ===
Source: libaccounts-glib
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: automake (>= 1:1.13),
               autotools-dev,
               check,
               dbus-test-runner,
               debhelper (>= 9),
               dh-autoreconf,
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.35.1),
               libsqlite3-dev (>= 3.7.0),
               libtool,
               libxml2-dev,
               libxml2-utils,
               python (>= 2.6.5),
               python-gi-dev,
               python3,
               python3-gi,
Standards-Version: 3.9.4
Section: libs
Homepage: http://code.google.com/p/accounts-sso/
# If you aren't a member of ~online-accounts but need to upload packaging changes,
# just go ahead.  ~online-accounts will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~online-accounts/libaccounts-glib/trunk

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-accounts-1.0,
         libaccounts-glib0 (= ${binary:Version}),
         libdbus-glib-1-dev,
         libglib2.0-dev,
         libsqlite3-dev,
         libxml2-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for single signon - development files
 .
 This package contains files that are needed to build applications.

Package: libaccounts-glib0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for single signon
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: typelib file for libaccounts-glib0
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for single signon - documentation
 .
 This package contains the documentation.

Package: libaccounts-glib-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for single signon - tools
 .
 This package provides the tools useful for the libaccounts-glib
 library.

## libaccounts-glib 1.15+14.04.20131126.2

=== debian/changelog ===
libaccounts-glib (1.15+14.04.20131126.2-0ubuntu3) trusty; urgency=medium

  * Add multiarch annotations to libaccounts-glib0 and
    libaccounts-glib-tools.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 18:16:18 +0000

libaccounts-glib (1.15+14.04.20131126.2-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:59 +0000

libaccounts-glib (1.15+14.04.20131126.2-0ubuntu1) trusty; urgency=low

  [ Alberto Mardegan ]
  * New upstream release
    - Fix SQL query for ag_manager_list_by_service_type()
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=208

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 180

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Nov 2013 19:08:54 +0000

=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
 Package: libaccounts-glib0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for single signon
@@ -72,6 +73,7 @@
 
 Package: libaccounts-glib-tools
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for single signon - tools
  .

## libaccounts-glib 1.18+14.10.20140901

=== debian/changelog ===
libaccounts-glib (1.18+14.10.20140901-0ubuntu1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Python: fix the Accounts.Manager() constructor

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Sep 2014 14:59:16 +0000

libaccounts-glib (1.17+14.10.20140825-0ubuntu1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Deliver store events to D-Bus Account Manager when DB is R/O
    - Fix all memory leaks reported by valgrind
    - Allow running the test suite in a wrapper program such as gdb and
      valgrind
  * New upstream release
    - Allow instantiation of AgManager with no D-Bus
    - Tests: increase timeout in test_store_locked_cancel
    - AgManager: expose DB timeout parameters as properties
    - Fix build with -Werror

  [ Ken VanDine ]
  * no longer build depend on libtool-bin, that split has been reverted
    in the libtool package.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 07:52:44 +0000

## libaccounts-glib 1.18+15.04.20150116

=== debian/changelog ===
libaccounts-glib (1.18+15.04.20150116-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alberto Mardegan ]
  * Merge from upstream Update account ID after a remotely-executed
    store .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 Jan 2015 17:20:53 +0000

libaccounts-glib (1.18+15.04.20141110-0ubuntu1) vivid; urgency=medium

  [ Iain Lane ]
  * tests: Use built libtool script instead of /usr/bin/libtool
  * Use the system typelibdir, and update .install files now that this is
    under the multiarch libdir. Update gir package to be M-A: same.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 09:48:01 +0000

## libaccounts-glib 1.21

=== debian/changelog ===
libaccounts-glib (1.21-1) unstable; urgency=medium

  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym
  * Drop upstream applied patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Apr 2016 13:36:25 +0200

libaccounts-glib (1.18+20150112-2) unstable; urgency=medium

  * Add disable-deprecation-errors.patch to work around glib API change
  * Add fix-endianness-issues.patch to build on s390x (Closes: #804567)

 -- Diane Trout <diane@debian.org>  Sun, 20 Dec 2015 14:43:13 -0800

libaccounts-glib (1.18+20150112-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Prepare Debian release. (1.18+20150112)
  * Update copyright information.
  * Update install files.

  [ Diane Trout ]
  * Add dh-python to build depends
  * Add -dbg package
  * Snapshot based on upstream commit 0bacbb4ca28ffceb7aabd656d0b3f3f85ab1edcf
  * Add myself to uploaders after checking with Maxy
  * Remove XS-Testsuite: autopkgtest from control. See:
    https://lintian.debian.org/tags/xs-testsuite-header-in-debian-control.html
  * Replace $(overridden_command) with dh_strip

 -- Diane Trout <diane@debian.org>  Wed, 19 Aug 2015 23:24:06 -0700

=== debian/control ===
Source: libaccounts-glib
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: automake (>= 1:1.13),
               autotools-dev,
               check,
               dbus-x11,
               debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gobject-introspection (>= 1.41.4-1~),
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.35.1),
               libsqlite3-dev (>= 3.7.0),
               libtool,
               libxml2-dev,
               libxml2-utils,
               python (>= 2.6.5),
               python-gi-dev,
               python3,
               python3-gi,
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://gitlab.com/accounts-sso/libaccounts-glib
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/libaccounts-glib.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libaccounts-glib.git

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-accounts-1.0,
         libaccounts-glib0 (= ${binary:Version}),
         libdbus-glib-1-dev,
         libglib2.0-dev,
         libsqlite3-dev,
         libxml2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Accounts database access - development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains files the development files of the accounts database
 access GLib-based API.

Package: libaccounts-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains shared libraries of the accounts database access
 GLib-based API.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: typelib file for libaccounts-glib0
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Accounts database access - documentation
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation of the accounts database access
 GLib-based API.

Package: libaccounts-glib-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - tools
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package provides the tools useful for the libaccounts-glib
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --disable-wal

override_dh_install:
	# install the python3 gir override file as well
	PYTHON=python3 ./configure --prefix=/usr
	cd pygobject/ && DESTDIR=../debian/tmp make install && cd ..
	rm debian/tmp/usr/lib/*/*.la
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyc
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyo
	rm -rf debian/tmp/usr/lib/python3/dist-packages/gi/overrides/__pycache__/
	rm debian/tmp/usr/share/backup-framework/applications/accounts.conf
	# Remove the installed tests
	rm -rf debian/tmp/usr/share/libaccounts-glib/testdata
	rm -rf debian/tmp/usr/lib/*/libaccounts-glib
	dh_install --fail-missing
	dh_python2 -pgir1.2-accounts-1.0

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_test:
	# Tests often fail in Jenkins for timeout reasons; therefore, increase
	# the timeout value
	CK_TIMEOUT_MULTIPLIER=10 CK_DEFAULT_TIMEOUT=0 VERBOSE=1 \
	  xvfb-run -a dbus-launch --exit-with-session dh_auto_test

override_dh_strip:
	dh_strip --dbgsym-migration='libaccounts-glib-dbg (<= 1.18+20150112-2~)'

%:
	dh $@ --with autoreconf,python2

=== debian/watch ===
version=3
opts=filenamemangle=s/.*=(.*)/libaccounts-glib-$1\.tar\.gz/ \
 https://gitlab.com/accounts-sso/libaccounts-glib/tags \
  .*/archive\.tar\.gz\?ref=([\d.]+)

## libaccounts-glib 1.21+16.04.20160222

=== debian/changelog ===
libaccounts-glib (1.21+16.04.20160222-0ubuntu1) xenial; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Support desktop-specific overrides for service and providers files:
      desktops can define service and providers files in
        /usr/share/accounts/{providers,services}/$XDG_CURRENT_DESKTOP
      and these would override any files having the same name in the parent
      (default) directory (LP: #1451728)
    - Fix endianness issues
      https://gitlab.com/accounts-sso/libaccounts-glib/issues/2

  [ CI Train Bot ]
  * No-change rebuild.

 -- David Barth <david.barth@canonical.com>  Mon, 22 Feb 2016 09:12:58 +0000

libaccounts-glib (1.19+16.04.20151221-0ubuntu1) xenial; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Build: ignore deprecations of GSimpleAsyncResult (LP: #1521226)
    - Build: don't emit a build error on deprecations
    - Coverage: allow lcov versions up to 1.11
    - Build: fix handling of coverage flags
    - Build: fix build errors when building with clang
    - Update account ID after a remotely-executed store
    - Vala: add allow-none and update VAPI file
      https://code.google.com/p/accounts-sso/issues/detail?id=241
    - Build: multiarch fixes

  [ CI Train Bot ]
  * No-change rebuild.

 -- David Barth <david.barth@canonical.com>  Mon, 21 Dec 2015 08:57:48 +0000

=== debian/control ===
Source: libaccounts-glib
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: automake (>= 1:1.13),
               autotools-dev,
               check,
               dbus-test-runner,
               debhelper (>= 9),
               dh-autoreconf,
               gobject-introspection (>= 1.41.4-1~),
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.35.1),
               libsqlite3-dev (>= 3.7.0),
               libtool,
               libxml2-dev,
               libxml2-utils,
               python (>= 2.6.5),
               python-gi-dev,
               python3,
               python3-gi,
Standards-Version: 3.9.4
Section: libs
Homepage: http://code.google.com/p/accounts-sso/
# If you aren't a member of ~online-accounts but need to upload packaging changes,
# just go ahead.  ~online-accounts will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~online-accounts/libaccounts-glib/trunk

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-accounts-1.0,
         libaccounts-glib0 (= ${binary:Version}),
         libdbus-glib-1-dev,
         libglib2.0-dev,
         libsqlite3-dev,
         libxml2-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for single signon - development files
 .
 This package contains files that are needed to build applications.

Package: libaccounts-glib0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for single signon
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: typelib file for libaccounts-glib0
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for single signon - documentation
 .
 This package contains the documentation.

Package: libaccounts-glib-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for single signon - tools
 .
 This package provides the tools useful for the libaccounts-glib
 library.

## libaccounts-glib 1.22%2b16.10.20160520.2

=== debian/changelog ===
libaccounts-glib (1.22+16.10.20160520.2-0ubuntu1) yakkety; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Lib: migrate to GTask (LP: #1577373)
    - Build: enable CI in gitlab
    - Build: add support for lcov 1.12

  [ CI Train Bot ]
  * No-change rebuild.

 -- David Barth <david.barth@canonical.com>  Fri, 20 May 2016 13:28:04 +0000

## libaccounts-glib 1.23

=== debian/changelog ===
libaccounts-glib (1.23-1) unstable; urgency=medium

  * Update watch file
  * New upstream release (1.23).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Use dbus-run-session instead of dbus-launch
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 17:35:47 +0200

=== debian/control ===
Source: libaccounts-glib
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: automake (>= 1:1.13),
               autotools-dev,
               check,
               dbus,
               debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gobject-introspection (>= 1.41.4-1~),
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.35.1),
               libsqlite3-dev (>= 3.7.0),
               libtool,
               libxml2-dev,
               libxml2-utils,
               python (>= 2.6.5),
               python-gi-dev,
               python3,
               python3-gi,
               xauth,
               xvfb
Standards-Version: 4.0.0
Homepage: https://gitlab.com/accounts-sso/libaccounts-glib
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/libaccounts-glib.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libaccounts-glib.git

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-accounts-1.0,
         libaccounts-glib0 (= ${binary:Version}),
         libdbus-glib-1-dev,
         libglib2.0-dev,
         libsqlite3-dev,
         libxml2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Accounts database access - development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains files the development files of the accounts database
 access GLib-based API.

Package: libaccounts-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains shared libraries of the accounts database access
 GLib-based API.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: typelib file for libaccounts-glib0
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Accounts database access - documentation
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation of the accounts database access
 GLib-based API.

Package: libaccounts-glib-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - tools
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package provides the tools useful for the libaccounts-glib
 library.

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	# Tests often fail in Jenkins for timeout reasons; therefore, increase
 	# the timeout value
 	CK_TIMEOUT_MULTIPLIER=10 CK_DEFAULT_TIMEOUT=0 VERBOSE=1 \
-	  xvfb-run -a dbus-launch --exit-with-session dh_auto_test
+	  xvfb-run -a dbus-run-session dh_auto_test
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libaccounts-glib-dbg (<= 1.18+20150112-2~)'

=== debian/watch ===
version=3
opts=filenamemangle=s/.*=VERSION_(.*)/libaccounts-glib-$1\.tar\.gz/ \
 https://gitlab.com/accounts-sso/libaccounts-glib/tags \
  .*/archive\.tar\.gz\?ref=VERSION_([\d.]+)

## libaccounts-glib 1.23+17.04.20161104

=== debian/changelog ===
libaccounts-glib (1.23+17.04.20161104-0ubuntu3) focal; urgency=medium

  * Replace deprecated G_TYPE_INSTANCE_GET_PRIVATE/g_type_class_add_private
    private calls to fix FTBFS.
  * Fix exec_transaction_idle to no longer double return on cancellation,
    since that's apparently now fatal.
  * Don't fail if there aren't Python 2 bytecode files.
  * Build with -Werror again.

 -- William Grant <wgrant@ubuntu.com>  Tue, 07 Apr 2020 09:48:46 +1000

libaccounts-glib (1.23+17.04.20161104-0ubuntu2) focal; urgency=medium

  * Build using python2.
  * Don't build with -Werror.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 16:05:06 +0100

libaccounts-glib (1.23+17.04.20161104-0ubuntu1) zesty; urgency=medium

  * New upstream release
    - Add a couple of methods related to .application files:
      ag_manager_list_services_by_application() and
      ag_application_supports_service().

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Fri, 04 Nov 2016 13:01:52 +0000

=== debian/control ===
Source: libaccounts-glib
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: automake (>= 1:1.13),
               autotools-dev,
               check,
               dbus-test-runner,
               debhelper (>= 9),
               dh-autoreconf,
               gobject-introspection (>= 1.41.4-1~),
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.35.1),
               libsqlite3-dev (>= 3.7.0),
               libtool,
               libxml2-dev,
               libxml2-utils,
               python2,
               python-gi-dev,
               python3,
               python3-gi,
Standards-Version: 3.9.4
Section: libs
Homepage: http://code.google.com/p/accounts-sso/
# If you aren't a member of ~online-accounts but need to upload packaging changes,
# just go ahead.  ~online-accounts will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~online-accounts/libaccounts-glib/trunk

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-accounts-1.0,
         libaccounts-glib0 (= ${binary:Version}),
         libdbus-glib-1-dev,
         libglib2.0-dev,
         libsqlite3-dev,
         libxml2-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for single signon - development files
 .
 This package contains files that are needed to build applications.

Package: libaccounts-glib0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for single signon
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: typelib file for libaccounts-glib0
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for single signon - documentation
 .
 This package contains the documentation.

Package: libaccounts-glib-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for single signon - tools
 .
 This package provides the tools useful for the libaccounts-glib
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

override_dh_auto_configure:
	PYTHON=python2 dh_auto_configure -- --enable-gtk-doc --disable-wal

override_dh_install:
	# install the python3 gir override file as well
	PYTHON=python3 ./configure --prefix=/usr
	cd pygobject/ && DESTDIR=../debian/tmp make install && cd ..
	rm debian/tmp/usr/lib/*/*.la
	rm -f debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyc
	rm -f debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyo
	rm -rf debian/tmp/usr/lib/python3/dist-packages/gi/overrides/__pycache__/
	rm debian/tmp/usr/share/backup-framework/applications/accounts.conf
	# Remove the installed tests
	rm -rf debian/tmp/usr/share/libaccounts-glib/testdata
	rm -rf debian/tmp/usr/lib/*/libaccounts-glib
	dh_install --fail-missing
	dh_python2 -pgir1.2-accounts-1.0

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_test:
	# Tests often fail in Jenkins for timeout reasons; therefore, increase
	# the timeout value
	CK_TIMEOUT_MULTIPLIER=10 CK_DEFAULT_TIMEOUT=0 VERBOSE=1 dh_auto_test

%:
	dh $@ --with autoreconf,python2

## libaccounts-glib 1.25

=== debian/changelog ===
libaccounts-glib (1.25-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update debian/watch to match current gitlab.com tags page.
  * New upstream release (1.24). (Closes: #949177, #953769)
  * Adapt build to upstream changes:
    - Upstream build moved from autotools to meson.
    - Drop python2 support. (Closes: #936841, #967159)
    - Install gettext its and loc files.
  * Add Build-Depends-Package to symbols file.
  * Build with hardening=+all build hardening flag.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Move Vcs-* control fields to Salsa.
  * Drop dbgsym migration rule, not needed anymore after 2 stable releases.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump meson to 0.48.0
    - bump libglib2.0-dev to 2.26
    - explicitly add valac, already used
    - replace python-gi-dev with python3-gi
    - drop intltool, and libtool, no more needed
  * Add the configuration for the CI on salsa.
  * Update install files.
  * Update symbols file.
  * Drop debian/not-installed, referring to non-existing files.
  * Drop debian/gbp.conf, as the packaging repository does not use
    git-buildpackage.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop the unused 'testsuite' autopkgtest.
  * Update lintian overrides.
  * Small updates to copyright.
  * Improve the references to the Glib types in the API documentation:
    - add libglib2.0-doc as Build-Depends-Indep
    - recommend libglib2.0-doc in libaccounts-glib-doc
  * Remove the unused libdbus-glib-1-dev dependency in libaccounts-glib-dev.
    (Closes: #955848)

 -- Pino Toscano <pino@debian.org>  Thu, 31 Dec 2020 22:06:04 +0100

=== debian/control ===
Source: libaccounts-glib
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: check,
               dbus,
               debhelper-compat (= 13),
               dh-sequence-gir,
               gobject-introspection (>= 1.41.4-1~),
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.26~),
               libsqlite3-dev (>= 3.7.0),
               libxml2-dev,
               libxml2-utils,
               meson (>= 0.48.0),
               python3-gi,
               valac,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/accounts-sso/libaccounts-glib
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/libaccounts-glib
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/libaccounts-glib.git

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-accounts-1.0 (= ${binary:Version}),
         libaccounts-glib0 (= ${binary:Version}),
         libglib2.0-dev,
         libsqlite3-dev,
         libxml2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Accounts database access - development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains files the development files of the accounts database
 access GLib-based API.

Package: libaccounts-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains shared libraries of the accounts database access
 GLib-based API.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: typelib file for libaccounts-glib0
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Description: Accounts database access - documentation
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation of the accounts database access
 GLib-based API.

Package: libaccounts-glib-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - tools
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package provides the tools useful for the libaccounts-glib
 library.

=== debian/watch ===
version=4
https://gitlab.com/accounts-sso/libaccounts-glib/-/tags \
  .*VERSION_([\d.]+)\.(?:tar\.bz2|tar\.gz)
